org.apache.jorphan.gui

## Class JLabeledTextField

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.apache.jorphan.gui.JLabeledTextField

- All Implemented Interfaces:
    java.awt.event.FocusListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, JLabeledField
  Direct Known Subclasses:
    JLabeledPasswordField

      public class JLabeledTextField
      extends javax.swing.JPanel
      implements JLabeledField, java.awt.event.FocusListener

  A Helper component that wraps a JTextField with a label into a JPanel (this). This component also has an efficient event handling mechanism for handling the text changing in the Text Field. The registered change listeners are only called when the text has changed.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JLabeledTextField()` Default constructor, The label and the Text field are left empty.
    `JLabeledTextField(java.lang.String pLabel)` Constructs a new component with the label displaying the passed text.
    `JLabeledTextField(java.lang.String pLabel, java.awt.Color bk)` Size defaults to 20
    `JLabeledTextField(java.lang.String pLabel, int size)` Constructs a new component with the label displaying the passed text.
    `JLabeledTextField(java.lang.String pLabel, int size, java.awt.Color bk, boolean editable)` Size defaults to 20

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangeListener(javax.swing.event.ChangeListener pChangeListener)` Adds a change listener, that will be notified when the text in the text field is changed.
    `protected javax.swing.JTextField` | `createTextField(int size)`
    `void` | `focusGained(java.awt.event.FocusEvent pFocusEvent)` Catch what the value was when focus was gained.
    `void` | `focusLost(java.awt.event.FocusEvent pFocusEvent)` Callback method when the focus to the Text Field component is lost.
    `java.util.List<javax.swing.JComponent>` | `getComponentList()` Get the label `JLabel` followed by the text field @link `JTextField`.
    `java.lang.String` | `getLabel()` Returns the text of the label.
    `java.lang.String` | `getText()` Returns the text in the Text Field.
    `java.lang.String` | `getToolTipText()` Returns the tooltip string that has been set with setToolTipText
    `protected void` | `notifyChangeListeners()` Notify all registered change listeners that the text in the text field has changed.
    `void` | `removeChangeListener(javax.swing.event.ChangeListener pChangeListener)` Removes a change listener.
    `boolean` | `requestFocusInWindow()`
    `void` | `setEnabled(boolean enable)`
    `void` | `setLabel(java.lang.String pLabel)` Set the text displayed in the label.
    `void` | `setText(java.lang.String pText)` Set the text displayed in the Text Field.
    `void` | `setToolTipText(java.lang.String text)` Registers the text to display in a tool tip.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JLabeledTextField

          public JLabeledTextField()

      Default constructor, The label and the Text field are left empty.

    - #### JLabeledTextField

          public JLabeledTextField(java.lang.String pLabel)

      Constructs a new component with the label displaying the passed text.
      Parameters:
        `pLabel` - The text to in the label.

    - #### JLabeledTextField

          public JLabeledTextField(java.lang.String pLabel,
                                   int size)

      Constructs a new component with the label displaying the passed text.
      Parameters:
        `pLabel` - The text to in the label.
        `size` - size of text field

    - #### JLabeledTextField

          public JLabeledTextField(java.lang.String pLabel,
                                   java.awt.Color bk)

      Size defaults to 20
      Parameters:
        `pLabel` - The text to in the label.
        `bk` - `Color` background color

    - #### JLabeledTextField

          public JLabeledTextField(java.lang.String pLabel,
                                   int size,
                                   java.awt.Color bk,
                                   boolean editable)

      Size defaults to 20
      Parameters:
        `pLabel` - The text to in the label.
        `size` - textfield length
        `bk` - `Color` background color may be null
        `editable` - boolean

  - ### Method Detail

    - #### getComponentList

          public java.util.List<javax.swing.JComponent> getComponentList()

      Get the label `JLabel` followed by the text field @link `JTextField`.
      Specified by:
        `getComponentList` in interface `JLabeledField`

    - #### setEnabled

          public void setEnabled(boolean enable)

      Overrides:
        `setEnabled` in class `javax.swing.JComponent`

    - #### createTextField

          protected javax.swing.JTextField createTextField(int size)

    - #### focusLost

          public void focusLost(java.awt.event.FocusEvent pFocusEvent)

      Callback method when the focus to the Text Field component is lost.
      Specified by:
        `focusLost` in interface `java.awt.event.FocusListener`
      Parameters:
        `pFocusEvent` - The focus event that occurred.

    - #### focusGained

          public void focusGained(java.awt.event.FocusEvent pFocusEvent)

      Catch what the value was when focus was gained.
      Specified by:
        `focusGained` in interface `java.awt.event.FocusListener`

    - #### setLabel

          public void setLabel(java.lang.String pLabel)

      Set the text displayed in the label.
      Specified by:
        `setLabel` in interface `JLabeledField`
      Parameters:
        `pLabel` - The new label text.

    - #### setText

          public void setText(java.lang.String pText)

      Set the text displayed in the Text Field.
      Specified by:
        `setText` in interface `JLabeledField`
      Parameters:
        `pText` - The new text to display in the text field.

    - #### getText

          public java.lang.String getText()

      Returns the text in the Text Field.
      Specified by:
        `getText` in interface `JLabeledField`
      Returns:
        The text in the Text Field.

    - #### getLabel

          public java.lang.String getLabel()

      Returns the text of the label.
      Returns:
        The text of the label.

    - #### setToolTipText

          public void setToolTipText(java.lang.String text)

      Registers the text to display in a tool tip. The text displays when the cursor lingers over the component.
      Overrides:
        `setToolTipText` in class `javax.swing.JComponent`
      Parameters:
        `text` - the string to display; if the text is null, the tool tip is turned off for this component

    - #### getToolTipText

          public java.lang.String getToolTipText()

      Returns the tooltip string that has been set with setToolTipText
      Overrides:
        `getToolTipText` in class `javax.swing.JComponent`
      Returns:
        the text of the tool tip

    - #### addChangeListener

          public void addChangeListener(javax.swing.event.ChangeListener pChangeListener)

      Adds a change listener, that will be notified when the text in the text field is changed. The ChangeEvent that will be passed to registered listeners will contain this object as the source, allowing the new text to be extracted using the `getText` method.
      Specified by:
        `addChangeListener` in interface `JLabeledField`
      Parameters:
        `pChangeListener` - The listener to add

    - #### removeChangeListener

          public void removeChangeListener(javax.swing.event.ChangeListener pChangeListener)

      Removes a change listener.
      Parameters:
        `pChangeListener` - The change listener to remove.

    - #### notifyChangeListeners

          protected void notifyChangeListeners()

      Notify all registered change listeners that the text in the text field has changed.

    - #### requestFocusInWindow

          public boolean requestFocusInWindow()

      Overrides:
        `requestFocusInWindow` in class `javax.swing.JComponent`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.